SoProfilerElement(3)

NAME
SoProfilerElement - The SoProfilerElement element class is for registering statistics during scene graph traversals.

SYNOPSIS

#include <Inventor/annex/Profiler/SoProfilerElement.h>

Inherits SoElement.

  Public Member Functions
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo (void) const
SbProfilingData & getProfilingData (void)
const SbProfilingData & getProfilingData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static SoProfilerElement * get (SoState *state)

  Protected Attributes
SbProfilingData data

  Additional Inherited Members

Detailed Description

The SoProfilerElement element class is for registering statistics during scene graph traversals.

Member Function Documentation

  SoType SoProfilerElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoProfilerElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoProfilerElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoProfilerElement * SoProfilerElement::get (SoState * state) [static]
This is the required method of fetching the SoProfilerElement instance.

  SbBool SoProfilerElement::matches (const SoElement * element) const [virtual]
This function returns TRUE is the element matches another element (of the same class), with respect to cache validity.

If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function.

Implements SoElement.

  SoElement * SoProfilerElement::copyMatchInfo (void) const [virtual]
This function creates a copy of the element that contains enough information to enable the matches() function to work.

Used to help with scene graph traversal caching operations.

Implements SoElement.

Author

Generated automatically by Doxygen for Coin from the source code.